# $Revision: 1.49 $, $Date: 2008-04-02 08:59:17 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Simple
Summary:	XML::Simple - easy API to read/write XML (esp config files)
Summary(pl.UTF-8):	XML::Simple - proste API do czytania/zapisu XML-a (zwł. plików konfiguracyjnych)
Name:		perl-XML-Simple
Version:	2.18
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	593aa8001e5c301cdcdb4bb3b63abc33
URL:		http://search.cpan.org/dist/XML-Simple/
BuildRequires:	perl-XML-Parser >= 2.00
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
# not really necessary - only to resolve dependencies:
BuildRequires:	perl-XML-SAX-Expat
%endif
Requires:	perl-XML-Parser >= 2.00
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The XML::Simple module provides a simple API layer on top of an
underlying XML parsing module (either XML::Parser or one of the SAX2
parser modules).

%description -l pl.UTF-8
Moduł XML::Simple udostępnia prostą warstwę API w oparciu o zasadniczy
moduł analizy XML-a (albo XML::Parser, albo jeden z modułów
analizujących SAX2).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/XML/Simple.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Simple.spec,v $
Revision 1.49  2008-04-02 08:59:17  arekm
- up to 2.18

Revision 1.48  2007/04/05 16:11:54  qboosh
- generic URL
- unified files

Revision 1.47  2007/04/02 04:49:05  wolvverine
- up to 2.16

Revision 1.46  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.45  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.44  2006/10/20 19:31:30  ankry
- Version 2.15

Revision 1.43  2006/06/20 05:27:39  freetz
- rel.2

Revision 1.42  2006/06/19 10:42:48  maciek2w
- BR for tests changed to perl-XML-SAX-Expat
- STBR

Revision 1.41  2005/05/05 00:19:47  ankry
- updated to 2.14

Revision 1.40  2004/12/03 14:54:24  radek
- autoupdated to 2.13

Revision 1.39  2004/11/03 22:30:57  paladine
- formatting

Revision 1.38  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.37  2004/05/07 00:32:06  ankry
- rel. 2

Revision 1.36  2004/05/06 18:01:33  ankry
- fixed perl-devel BR

Revision 1.35  2004/05/05 06:35:05  ankry
- license fix, cosmetics

Revision 1.34  2004/04/05 11:05:48  adamg
- updated to 2.12

Revision 1.33  2004/03/06 18:47:38  adamg
- updated to 2.11
- new style bconds

Revision 1.32  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.31  2003/10/01 21:26:09  qboosh
- tests no longer fail with XML::LibXML::SAX installed

Revision 1.30  2003/09/18 13:23:01  adamg
- updated to 2.09

Revision 1.29  2003/09/09 10:24:55  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/06/29 11:54:00  migo
- up to 2.08

Revision 1.26  2003/06/12 10:03:45  qboosh
- summaries/descriptions from RA-branch, up to 2.07

Revision 1.25  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/03/01 22:10:37  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.22  2003/02/21 23:02:31  ankry
- updated to 2.03
- tests conditional
- BC: perl-XML-LibXML-SAX

Revision 1.21  2003/02/18 15:39:15  ankry
- massive attack: change CPAN URLs

Revision 1.20  2003/01/15 18:42:47  mis
- autoupdated to 2.02

Revision 1.19  2002/07/25 05:37:09  kloczek
- release 4.

Revision 1.18  2002/07/13 23:11:44  qboosh
- new %%doc and cosmetics; explicit Requires for XML::Parser

Revision 1.17  2002/07/10 09:03:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.16  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/21 01:19:19  agaran
its required for install, and checked in build stage

Revision 1.14  2002/02/25 10:35:40  depesz
cleanup; revision++

Revision 1.13  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/13 21:51:50  kloczek
- spec adapterized.

Revision 1.11  2002/02/13 14:21:40  depesz
automatic: Source location unfied, Relase Up

Revision 1.10  2002/02/12 01:42:48  kloczek
- updated to 1.08.

Revision 1.9  2002/02/10 15:41:13  depesz
adapterized

Revision 1.8  2002/02/09 12:59:38  depesz
- unfied source path

Revision 1.7  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.5  2001/11/27 16:53:25  mis
- autoupdated to 1.06

Revision 1.4  2001/04/17 12:18:44  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.3  2001/04/14 23:46:19  baggins
- release 2
- removed empty perl_sitearch dir from %%files

Revision 1.2  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.1  2001/02/12 11:42:35  depesz
- brand new module - initial release
